.article {
  width: 391px;
  @include max-767 {
    width: sp-sizing(590px);
  }

  &--pickup {
    @include max-767 {
      margin: auto;
    }
  }

  &--small {
    width: 278px;
    @include max-767 {
      width: 100%;
      margin-bottom: sp-sizing-2(40px);
      align-items: flex-start;
      flex-grow: 1;
      @include display-flex;
    }
  }

  &--horizontal {
    width: 100%;
    display: block;
    gap: 22px;
    margin-bottom: 30px;
    flex-grow: 1;
    @include display-flex;
    @include max-767 {
      gap: 30px;
    }
  }

  &--event {
    width: 100%;
    @include max-767 {
      flex-grow: 1;
    }
  }

  &__image-container {
    box-sizing: border-box;
    border: 4px solid #fff;
    width: 380px;
    height: 210px;
    flex-shrink: 0;
    @include max-767 {
      border: sp-sizing-2(8px) solid #fff;
      width: sp-sizing(600px);
      height: sp-sizing(328px);
    }

    &--small {
      width: 278px;
      height: 157px;
      @include max-767 {
        border: sp-sizing-2(8px) solid #fff;
        height: sp-sizing-2(130px);
        width: sp-sizing-2(230px);
      }
    }

    &--categories {
      @include max-767 {
        border: sp-sizing-2(8px) solid #fff;
        height: sp-sizing-2(130px);
        width: sp-sizing-2(230px);
      }
    }

    &--event {
      height: 537px;
      overflow: hidden;
      @include max-767 {
        border: none;
        width: sp-sizing-2(510px);
        height: sp-sizing-2(719px);
        margin: auto;
      }
    }
  }

  &__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  &__content-container {
    position: relative;
    align-items: flex-start;
    gap: 20px;
    margin-top: 22px;
    padding-bottom: 20px;
    @include display-flex;
    @include max-767 {
      gap: sp-sizing-2(10px);
      margin: sp-sizing-2(34px) auto 0;
      padding-bottom: sp-sizing-2(10px);
    }

    &::before {
      content: " ";
      position: absolute;
      width: 91%;
      height: 1px;
      background-color: $black;
      top: 30px;
      left: 36px;
      @include max-767 {
        top: sp-sizing-2(50px);
        left: sp-sizing-2(5px);
        width: 100%;
      }
    }

    &::after {
      content: " ";
      position: absolute;
      height: 164px;
      width: 1px;
      background-color: $black;
      left: 36px;
      top: 0;
      @include max-767 {
        left: sp-sizing-2(4.5px);
        height: 100%;
      }
    }

    &--small {
      margin-top: 15px;
      gap: 19px;
      @include max-767 {
        margin: 0 0 0 sp-sizing-2(27px);
        gap: 0;
        width: 100%;
      }

      &::before {
        width: 87%;
        left: 35px;
        top: 30px;
        @include max-767 {
          top: 25px;
          left: 14px;
          width: 96%;
        }
      }

      &::after {
        left: 35px;
        height: 126px;
        width: 1px;
        @include max-767 {
          left: 14px;
          height: 100%;
        }
      }
    }

    &--categories {
      flex-grow: 1;
      gap: 0;
      margin-top: 0;
      padding-bottom: 0;
      &::before {
        display: none;
      }

      &::after {
        display: none;
      }
    }

    &--event {
      margin-top: 0;
      padding: 14px 0 0;
      gap: 16px;
      @include max-767 {
        padding: sp-sizing-2(20px) 0 0 25px;
        margin-top: 0;
        flex-grow: 1;
        gap: 0;
      }
      &::before {
        left: 0;
        top: 0;
        width: 100%;
      }

      &::after {
        height: 102%;
        left: 38px;
        @include max-767 {
          left: 27px;
          height: 110%;
        }
      }
    }
  }

  &__date-container {
    position: relative;
    padding: 0 10px;
    left: -2px;
    transform: rotate(180deg);
    @include max-767 {
      left: sp-sizing-2(-40px);
      padding: 0;
    }

    &--small {
      left: 0;
      padding: 0 8px;
      @include max-767 {
        padding: 0 sp-sizing-2(11px);
        left: sp-sizing-2(-25px);
      }
    }
  }

  &__date {
    writing-mode: sideways-lr;
    writing-mode: vertical-rl;
    font-size: 1.2rem;
    @include max-767 {
      font-size: sp-sizing-2(1.8rem);
    }
  }

  &__category {
    font-weight: 400;
    align-items: center;
    margin: 0 0 21px;
    position: relative;
    color: $blue;
    font-size: 1.6rem;
    letter-spacing: 0.1em;
    @include display-flex;
    @include max-767 {
      font-size: sp-sizing-2(2.6rem);
      margin-bottom: sp-sizing-2(21px);
    }

    &::before {
      content: " ";
      width: 13px;
      height: 13px;
      background: $blue;
    }

    &--green {
      color: $green;

      &::before {
        background: $green;
      }
    }

    &--orange {
      color: $orange;

      &::before {
        background: $orange;
      }
    }

    &--purple {
      color: $purple;

      &::before {
        background: $purple;
      }
    }

    &--red {
      color: $red;

      &::before {
        background: $red;
      }
    }

    &--small {
      margin-bottom: 16px;
    }

    &--no-bullet {
      font-size: 2.1rem;
      margin-bottom: 0;
      line-height: 1.71em;
      @include max-767 {
        font-size: sp-sizing-2(3.2rem);
        line-height: 1.69em;
      }
      &::before {
        display: none;
      }
    }

    &--circle {
      width: 150px;
      height: 150px;
      border-radius: 50%;
      background-color: #fff;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      flex-shrink: 0;
      @include display-flex;
      @include max-767 {
        width: sp-sizing-2(225px);
        height: sp-sizing-2(225px);
      }
    }

    &--en {
      font-size: 1.4rem;
      text-transform: uppercase;
      font-weight: 400;
      @include max-767 {
        font-size: sp-sizing-2(2.2rem);
        line-height: 2.46em;
      }
    }
  }

  &__content {
    font-size: 2.4rem;
    font-family: $yumin;
    font-weight: 600;
    line-height: 1.5em;
    @include max-767 {
      font-size: sp-sizing-2(3.6rem);
      margin-bottom: 0;
    }

    &--small {
      font-size: 1.8rem;
      font-family: $noto-serif;
      font-weight: 500;
      line-height: 1.44em;
      @include max-767 {
        font-size: sp-sizing-2(2.6rem);
      }
    }

    &--categories {
      position: relative;
      padding-bottom: 15px;
      @include max-767 {
        font-size: sp-sizing-2(3.2rem);
        line-height: 1.25em;
        padding-bottom: sp-sizing-2(20px);
      }
      &::after {
        content: " ";
        position: absolute;
        height: 1px;
        width: 100%;
        background-color: $black;
        bottom: 0;
        left: -23px;
        @include max-767 {
          left: -12px;
        }
      }
    }

    &--event {
      position: relative;
      margin: 16px 0 15px;
      @include truncate(2);
      @include max-767 {
        font-size: sp-sizing-2(3.2rem);
        margin: sp-sizing-2(25px) 0 sp-sizing-2(22px);
        flex-grow: 1;
      }
    }
  }

  &__info-container {
    &--categories {
      position: relative;
      flex: 1;
      margin-left: 21px;
      padding-bottom: 5px;
      @include max-767 {
        margin-left: 0;
      }

      &::after {
        content: ' ';
        position: absolute;
        width: 1px;
        height: 100%;
        background-color: $black;
        top: 0;
        left: -20px;
        @include max-767 {
          left: -12px;
        }
      }
    }
  }

  &__info-list {
    margin-top: 20px;
    @include max-767 {
      margin-top: sp-sizing-2(20px);
    }

    &--event {
      margin-top: 0;
      margin-left: 2px;
    }
  }

  &__info-item {
    font-size: 1.6rem;
    line-height: 1.7em;
    @include max-767 {
      font-size: sp-sizing(2.6rem);
      line-height: 1.54em;
    }

    &--event {
      font-size: sp-sizing-2(2.6rem);
      line-height: 1.6em;
    }
  }
}
